Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004552OCamlOCamlbuild (the tool)public2008-05-08 13:102012-03-24 15:01
Reporterzack 
Assigned Toxclerc 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version3.10.1 
Target VersionFixed in Version3.12.1+dev 
Summary0004552: ocamlbuild does not create symlinks to executables when targets are invoked via *.itarget
DescriptionI'm using foo.itarget to group targets to be invoked via "ocamlbuild foo.otarget".
My foo.itarget is as follows:

  $ cat foo.itarget
  test.byte
  test.native

If I manually pas the two targets to ocamlbuild (e.g. "ocamlbuid test.byte") the executable is build properly and symlinked in the current directory from _build.
On the contrary, if I run "ocamlbuild foo.itarget" both executables are compiled, but they are not symlinked to the current directory.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2008-05-08 13:10 zack New Issue
2008-08-01 16:20 xleroy Assigned To => ertai
2008-08-01 16:20 xleroy Status new => assigned
2010-07-22 11:50 ertai Assigned To ertai => xclerc
2010-07-22 11:51 ertai Category OCaml general => OCamlbuild
2010-12-07 17:15 xclerc Status assigned => resolved
2010-12-07 17:15 xclerc Fixed in Version => 3.12.1+dev
2010-12-07 17:15 xclerc Resolution open => fixed
2012-02-02 15:17 protz Category OCamlbuild => OCamlbuild (the tool)
2012-03-24 15:01 xleroy Status resolved => closed


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker